Subject: [PATCH 3/6] arm: dts: marvell: Add missing #phy-cells to usb-nop-xceiv

From: [email-masked] (Gregory CLEMENT)
Date: Wed, 22 Nov 2017 17:59:23 +0100

Hi Arnd,
 
 On mar., nov. 21 2017, Arnd Bergmann <[email-masked]> wrote:

> On Tue, Nov 21, 2017 at 9:09 PM, Andrew Lunn <[email-masked]> wrote:
>> On Tue, Nov 21, 2017 at 12:29:48PM -0600, Rob Herring wrote:
>>> On Thu, Nov 9, 2017 at 4:26 PM, Rob Herring <[email-masked]> wrote:
>>> > "usb-nop-xceiv" is using the phy binding, but is missing #phy-cells
>>> > property. This is probably because the binding was the precursor to the phy
>>> > binding.
>>> >
>>> > Fixes the following warning in Marvell dts files:
>>> >
>>> > Warning (phys_property): Missing property '#phy-cells' in node ...
>>> >
>>> > Signed-off-by: Rob Herring <[email-masked]>
>>> > Cc: Jason Cooper <[email-masked]>
>>> > Cc: Andrew Lunn <[email-masked]>
>>> > Cc: Gregory Clement <[email-masked]>
>>> > Cc: Sebastian Hesselbarth <[email-masked]>
>>> > ---
>>> > Please apply to Marvell tree.
>>>
>>> Ping.
>>>
>>> Arnd, can you apply if you'd like the warnings fixed and Marvell
>>> maintainers don't respond.
>>
>> Hi Rob
>>
>> Patches submitted a week before the merge window opens are generally
>> deferred to the next cycle. I expect that once -rc1 is out, Gregory
>> will pick up this patch.
>
> These are real bugfixes, I want them in 4.15, since we now get a
> loud warning for them. I'd rather not shut up that warning because
> it's not a false-positive.

As pointed by Andrew, I planned to take them once the 4.15-rc1 would be
released. It was not obvious for me that it was real fixes. Actually I
would have expected to have first the dts fixed in a release and then
the warning enabled.

I am fine if you take this patch, especially if it is merged in
4.15-rc1.

So for this patch:

Acked-by: Gregory CLEMENT <[email-masked]>

Thanks,

Gregory

>        Arnd

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com